> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an SNA Verification

export const entity_verification_session_name = "EntityVerificationSession";

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Updates an ongoing {entity_verification_session_name} for an Entity to verify their phone via Method's SNA verification process.

Method will verify that the at least one of the URLs was accessed from a mobile device matching the Entity's phone number.

## Path Parameters

<ParamList
  items={[
{
  name: "ent_id",
  type: "string",
  description: "The ID of the Entity.",
},
]}
/>

## Body

<ParamList
  items={[
{
  name: "type",
  type: "enum",
  required: true,
  description: `The ${entity_verification_session_name} will be verifying the Entity's phone.`,
  enums: ["phone"],
},
{
  name: "method",
  type: "enum",
  required: true,
  description: `The ${entity_verification_session_name} will be using Method's SNA verification process.`,
  enums: ["sna"],
},
{
  name: "sna",
  type: "object",
  required: true,
  description: "The SNA verification configuration.",
},
]}
/>

## Returns

Returns an Entity's verification session object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities/ent_BYdNCVApmp7Gx/verification_sessions/evf_qTNNzCQ63zHJ9 \
    -X PUT \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "phone",
      "method": "sna",
      "sna": {}
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities("ent_BYdNCVApmp7Gx")
    .verificationSessions
    .update("evf_qTNNzCQ63zHJ9", {
      type: "phone",
      method: "sna",
      sna: {},
    });
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_BYdNCVApmp7Gx')
    .verification_sessions
    .update('evf_qTNNzCQ63zHJ9', {
      'type': 'phone',
      'method': 'sna',
      'sna': {}
    })
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "evf_qTNNzCQ63zHJ9",
    "entity_id": "ent_BYdNCVApmp7Gx",
    "status": "verified",
    "type": "phone",
    "method": "sna",
    "sna": {
      "urls": [
        "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
        "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
      ]
    },
    "error": null,
    "created_at": "2024-04-10T22:15:57.874Z",
    "updated_at": "2024-04-10T22:15:57.874Z"
  }
  ```
</ResponseExample>
